#ifndef LZSS_H
#define LZSS_H

#include <stdio.h>
#include "types.h"

//Minimum and Maximum size of compressed data
#define MIN_MATCH 2
#define MAX_MATCH 17

//Size of the sliding window
#define WIN_SIZE 0x1000

//Errors
#define CLR_WIN -2

struct comp_t
{
	int len;	//Length of compressed data
	int ptr;	//How far back to reach in the window for it
	int data;	//16-bit data containing len and ptr
};

struct flag_t
{
	int comp;
	int decomp;
};

typedef comp_t comp_t;
typedef flag_t flag_t;

//prototypes
int scan_window(byte *, byte*, int);

#endif