#include "file.h"

unsigned char *load_file(file_t *file)
{
     FILE *fp;
     
     fp = fopen(file->filename, "rb");
     
     if(!fp)
     {
      printf("Failed to open %s.\n", file->filename);
      return 0;
     }

     fseek(fp, 0, SEEK_END);
     file->size = ftell(fp);
     rewind(fp);
     
     file->ptr = (unsigned char*)malloc(file->size);
     
     if(!file->ptr)
     {
      printf("Failed to allocate memory.");
      return 0;
     }
     
     fread(file->ptr, 1, file->size, fp);
     
     fclose(fp);
}

void write_file(file_t file)
{
     FILE *fp;

     fp = fopen(file.filename, "wb");
     
     if(!fp)
     {
      printf("Failed to open %s.", file.filename);
      return;
     }

     printf("New File: %s\n", file.filename);
 
     fwrite(file.ptr, 1, file.size, fp);
     
     fclose(fp);
}
